import * as React from "react";
interface Opts {
    seed: string;
    size: number;
    scale: number;
    color?: string | CanvasGradient | CanvasPattern;
    bgColor?: string | CanvasGradient | CanvasPattern;
    spotColor?: string | CanvasGradient | CanvasPattern;
}
/**
 * Blocky is a visual component for displaying Ethereum blockies - visual hashes
 * of ethereum addresses
 */
export declare class Blocky extends React.Component<Props, State> {
    private canvas;
    private readonly blocky;
    constructor(props: Props);
    getOpts: (address: string) => Opts;
    renderIcon: (address: string | null) => void;
    componentWillReceiveProps: (nextProps: Props) => void;
    componentDidMount: () => void;
    setRef: (canvas: HTMLCanvasElement | null) => void;
    render: () => JSX.Element;
}
interface Props extends React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement> {
    address: string | null;
    fgColor?: string;
    bgColor?: string;
    spotColor?: string;
}
interface State {
    loading: boolean;
}
export {};
