import * as React from "react";
import "./styles.scss";
export declare enum LabelLevel {
    Info = "info",
    Warning = "warning"
}
interface Props extends React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement> {
    level?: LabelLevel;
    children?: React.ReactNode;
}
/**
 * InfoLabel is a visual component for displaying an information message for
 * another component
 */
export declare const InfoLabel: ({ level, children, className, ...props }: Props) => JSX.Element;
export {};
