export declare const alreadyPast: (expiry: number) => boolean;
/**
 * Converts a timestamp to the number of hours, minutes or seconds from now,
 * showing "Expired" if the timestamp has already passed.
 *
 * @param expiry the time to countdown to as a unix timestamp in seconds
 * @returns a JSX span element with the time remaining and a unit
 */
export declare const naturalTime: (expiry: number, options: {
    message: string;
    suffix?: string | undefined;
    prefix?: string | undefined;
    countDown: boolean;
    showingSeconds?: boolean | undefined;
    abbreviate?: boolean | undefined;
}) => string;
export declare const sleep: (ms: number) => Promise<unknown>;
export declare const second = 1000;
export declare enum TimeMagnitude {
    Second,
    Minute,
    Hour,
    Day
}
export declare const getTimeMagnitude: (expiry: number, showingSeconds?: boolean) => TimeMagnitude;
