import * as React from "react";
import "./styles.scss";
interface Props<Token, MarketPair> extends React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement> {
    top?: boolean;
    bottom?: boolean;
    white?: boolean;
    thisToken: Token;
    otherToken: Token;
    allTokens: Map<Token, {
        name: string;
        symbol: string;
    }>;
    disabled?: boolean;
    onMarketChange(token: Token): void;
    getMarket(left: Token, right: Token): MarketPair | undefined;
}
/**
 * SelectMarket allows the user to select a market from two token dropdowns
 */
export declare const SelectMarket: <Token extends string, MarketPair extends string>({ top, bottom, white, thisToken, otherToken, allTokens, disabled, onMarketChange, getMarket, className, ...props }: Props<Token, MarketPair>) => JSX.Element;
export {};
